Index: vlc_threads_funcs.h
===================================================================
--- vlc_threads_funcs.h	(Revision 24344)
+++ vlc_threads_funcs.h	(Arbeitskopie)
@@ -607,6 +607,8 @@
     vlc_mutex_lock( p_mutex );
 
     i_res = (int)result;
+    if(result == WAIT_TIMEOUT)
+       return WAIT_TIMEOUT; /* this error is perfectly normal */
 
 #elif defined( WIN32 )
     DWORD result;
@@ -695,6 +697,8 @@
 
     /* Reacquire the mutex before returning. */
     vlc_mutex_lock( p_mutex );
+    if(result == WAIT_TIMEOUT)
+       return WAIT_TIMEOUT; /* this error is perfectly normal */
 
     i_res = (int)result;
 
